//
// © 2018-2020 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
//

import Foundation

struct VoiceUIAuthenticationInfo {
    var code: String
    var url: String
}

struct VoiceUIAuthenticationErrorInfo {
    var didTimeout: Bool
    var reattempt: Int32
}

enum VoiceUINotificationReason {
    case enabledStateChanged
    case clientsChanged
    case defaultClientChanged
    case authenticationInfoGenerated
    case authenticationError
}

struct VoiceUINotification: PlayerControllerNotification {
    static var name = Notification.Name.VoiceUIStateDidChangeNotification
    var sender: PlayerControllerProtocol
    var device: IoTDevice
    var reason: VoiceUINotificationReason
    var payload: Any?
}
